Bug 16596 - branchcode and categorycode are displayed instead of their description on patron search result
Summary: branchcode and categorycode are displayed instead of their description on pat...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 16336
Blocks:
  Show dependency treegraph
 
Reported: 2016-05-26 09:51 UTC by Jonathan Druart
Modified: 2017-12-07 22:16 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16596: Display library and patron category descriptions instead of their code (2.59 KB, patch)
2016-05-26 09:57 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 16596: Display library and patron category descriptions instead of their code (2.75 KB, patch)
2016-05-26 18:55 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 16596: Display library and patron category descriptions instead of their code (2.84 KB, patch)
2016-06-10 15:01 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2016-05-26 09:51:56 UTC

    
Comment 1 Jonathan Druart 2016-05-26 09:57:04 UTC Comment hidden (obsolete)
Comment 2 Bernardo Gonzalez Kriegel 2016-05-26 18:55:37 UTC Comment hidden (obsolete)
Comment 3 Nick Clemens 2016-06-10 15:01:52 UTC
Created attachment 52242 [details] [review]
Bug 16596: Display library and patron category descriptions instead of their code

Test plan:
On circ/circulation-home.pl and reserve/request.pl, search for patrons
The descriptions for the libraries and patron categories should be
displayed.

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>

On top of Bug 13336
Works as described, now descriptions instead of codes.
No errors

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>

https://bugs.koha-community.org/show_bug.cgi?id=16455
Comment 4 Kyle M Hall 2016-06-10 16:51:57 UTC
Pushed to master for 16.11, thanks Jonathan!
Comment 5 Frédéric Demians 2016-06-15 07:43:02 UTC
Pushed in 16.05. Will be in 16.05.01.